# Analysis actions

## Analysis Specific

* `read_analysis` - All read-related analysis actions
  * `read_analysis_info` - View analysis details and see in analysis list
  * `open_analysis` - Open analysis as workbench, view analysis files in explorer
* `manage_analysis_lifecycle` - All manage-related actions
  * `write_analysis_info` - Edit analysis name
  * `write_cell_annotations` - Add cell annotations
  * `mark_analysis_as_done` - Mark analysis as done
  * `publish_analysis` - Publish analysis
  * `create_analysis_cell_atlas` - Create cell atlas from analysis
* `execute_analysis` - All execution-related analysis actions
  * `run_analysis_command` - Run or cancel commands in analysis
  * `manage_analysis_result` - Delete/rename analysis result
  * `manage_analysis_data_slice` - Manage dataslices in workbench
* `export_analysis_main_data` - Download analysis main data (ADATA)
* `delete_analysis` - Delete analysis


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://documentation.panomics.bio/documentation/access-control/reference/analysis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
